(*
 JungTak Kim, The LET Project, KAIST

 Copyright(c) 2001 Research On Program Analysis System
 National Creative Research Initiative Center
 Korea Advanced Institute of Science & Technology
 http://ropas.kaist.ac.kr

 All rights reserved. This file is distributed under the terms of
 an Open Source License.
*)

structure StringAst =
Ast_generator
  (struct 
     type varidinfo = string
     type tyidinfo = string
     type conidinfo = string
     type stridinfo = string
     type sigidinfo = string
     type fctidinfo = string
     type labelinfo = string
     type tyvarinfo = string
     val print_varidinfo = fn x => (Format.printf "%s" x)
     val print_tyidinfo = fn x => (Format.printf "%s" x)
     val print_conidinfo = fn x => (Format.printf "%s" x)
     val print_stridinfo = fn x => (Format.printf "%s" x)
     val print_sigidinfo = fn x => (Format.printf "%s" x)
     val print_fctidinfo = fn x => (Format.printf "%s" x)
     val print_labelinfo = fn x => (Format.printf "%s" x)
     val print_tyvarinfo = fn x => (Format.printf "%s" x)
   end,
   struct
     type info = Location.t
     val print = Location.print
   end)
